#! /bin/bash

PATH=$PATH:/usr/local/sbin

SAVEDIR="/var/lib/firmware"

if [ ! -d ${SAVEDIR} ]; then
    mkdir -p $SAVEDIR
fi

sha256sum /etc/version > ${SAVEDIR}/version.sum

if [ ! -f /tmp/delete_overlay ]; then
    if [ -f /tmp/update_etc ]; then
        save="home log"
    else
        save="etc home log"
    fi

    for kind in $save; do
        overlaycfg -s $kind
    done
fi
shutdown_state
